<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <!-- Demo scripts -->
  <link href='https://fonts.googleapis.com/css?family=Droid+Sans' rel='stylesheet' type='text/css'>

  <link href="https://cdnjs.cloudflare.com/ajax/libs/meyer-reset/2.0/reset.min.css" rel="stylesheet" type="text/css" />

  <link href='css/bootstrap.min.css' rel='stylesheet' type='text/css'>

  <link href='css/styles.css' rel='stylesheet' type="text/css">

  <!-- End Demo scripts -->

  <!-- Jquery is required, embed on your page if not already - don't embed 2 versions -->
  <script src="https://code.jquery.com/jquery-3.2.1.min.js" type="text/javascript"></script>
  <!-- End Jquery -->

  <!-- Map scripts - add the below to your page -->
  <!-- jsmaps-panzoom.js is optional if you are using enablePanZoom -->
  <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
  <!-- Include all compiled plugins (below), or include individual files as needed -->
  <script src="js/bootstrap.min.js"></script>
  <script src="js/web3.min.js"></script>
  <script src="js/truffle-contract.js"></script>
  <script src="js/app.js"></script>

  <link href="jsmaps/jsmaps.css" rel="stylesheet" type="text/css" />
  <script src="jsmaps/jsmaps-libs.js" type="text/javascript"></script>
  <script src="jsmaps/jsmaps-panzoom.js"></script>
  <script src="jsmaps/jsmaps.js" type="text/javascript"></script>
  <script src="maps/world.js" type="text/javascript"></script>
  <!-- End Map scripts -->

</head>

<body>
  <div id="loading" style="display:none">
      <img src="./images/ajax-loader.gif" alt="Loading..."/>
  </div>
  <nav class="navbar navbar-default">
    <div class="container-fluid">
      <div class="navbar-header">
        <a class="navbar-brand" href="#">Crypto World</a>
      </div>
      <ul class="nav navbar-nav">
        <li><a id="wallet-addr">Home</a>
        <li><a id="nickname">Not Set</a>
          <div class="row">
            <div class="col-lg-6">
              <div id="set-nickname" class="input-group" style="display:none">
                  <input type="text" class="form-control new-nickname" placeholder="Set Nickname">
                  <span class="input-group-btn"><button type="button" class="btn btn-primary" id="change-nick">Change</button></span>
              </div>
            </div>
          </div>
        </li>
      </ul>
    </div>
  </nav>
  <div class="alert alert-success" style="display:none">
    <strong>Success!</strong> Please confirm transaction status on blockchain here: <br>
  </div>
  <div class="alert alert-danger" style="display:none">
    <strong>Error!</strong> Something went wrong!
  </div>
  <div class="map-container">
    <!-- Map html - add the below to your page -->
      <div class="jsmaps-wrapper" id="world-map"></div>
      <div id="occupy-confirm" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
              <h4 class="modal-title">Occupy</h4>
            </div>
            <div class="modal-body">
              <p>One fine body&hellip;</p>
            </div>
            <div class="modal-footer">
              <input type="hidden" name="nation" value="">
              <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
              <button type="button" class="btn btn-primary buy-kuni">Buy!</button>
            </div>
          </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
      </div><!-- /.modal -->
    <!-- End Map html -->
  </div>

  <script type="text/javascript">
    $(function() {
      
      $('#world-map').JSMaps({
        map: 'world'
      });
    });
  </script>
</body>
</html>